Bug 1314491 - /candlepin/<owner>/consumers API not filtering properly by sku
/candlepin/<owner>/consumers API not filtering properly by sku
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9.51
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Alex Wood
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 13:21 EST by Jonathon Turel
Modified: 2016-07-22 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:39:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathon Turel 2016-03-03 13:21:17 EST
Description of problem:

Applying the 'sku' parameter (ex: /candlepin/owners/5394945?sku=SER0232US) always returns an empty set.


Version-Release number of selected component (if applicable): candlepin-0.9.51.15-1


How reproducible: Always


Steps to Reproduce:
1. Attach a subscription to a consumer, noting the SKU
2. For that owner, query for consumers, filtering on that SKU using necessary attribute (?sku={SKU})


Actual results: 1 consumer should be returned

Expected results: 0 consumers returned


Additional info: I believe this is pending code review, waiting to be merged
Comment 1 Alex Wood 2016-03-03 14:29:04 EST
Fixed in 8caba7d270b09abc5e64002e3e55c313a3c71b90
Comment 2 Mike McCune 2016-03-28 18:18:06 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Barnaby Court 2016-07-22 10:39:48 EDT
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.

Note You need to log in before you can comment on or make changes to this bug.